/*
** (c) 1997-2003 Herbert Poetzl
**
** V0.1	test version
**
*/


#define VERSION "V2.4"

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/io.h> /* for glibc */

static	char *	cmd_name;

unsigned int	portid = 0;

unsigned int	bases[] = { 0x378, 0x278, 0x3BC, 0x378 };


int	main(int argc, char *argv[])
{
        extern int optind;
        extern char *optarg;
        char c, errflg = 0;
    	unsigned int base, value;

        cmd_name = argv[0];
        while ((c = getopt(argc, argv, "hp:")) != EOF) {
            switch (c) {
            case 'h':
                fprintf(stderr,
                    "This is %s " VERSION "\n"
                    "options are:\n"
                    "-h        print this help message\n"
                    "-p <arg>  select parport id (0 default)\n"
                    ,cmd_name);
                exit(0);
                break;
            case 'p':
                portid = atoi(optarg);
                break;
            case '?':
            default:
                errflg++;
                break;
            }
        }
        if (errflg) {
            fprintf(stderr, 
                "Usage: %s -[hp:] value ...\n"
                "%s -h for help.\n",
                cmd_name, cmd_name);
            exit(2);
        }

    	base = bases[portid % 4];

    	if (optind >= argc) {
	    value = 0;
	} else {
	    value = atoi(argv[optind]);
	}

	if (ioperm(base,1,1)) {
	    fprintf(stderr, 
	        "Couldn't get the port at 0x%x\n", base);
	    exit(1);
    	}

	outb(value, base);
	exit(0);
}

